import enum
from typing import Tuple

ethernetAddressT = Tuple[str, int]


# Mode options, set by args parser
class ModeList(enum.Enum):
    Idle = 0
    ListenerMode = 1
    SingleCommandMode = 2
    ServiceTestMode = 3
    SoftwareTestMode = 4
    BinaryUploadMode = 5
    UnitTest = 6
    GUIMode = 7
    PromptMode = 32


class ComInterfaces(enum.Enum):
    Dummy = 0
    Serial = 1
    QEMU = 2
    Ethernet = 3
